package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

import com.rjconsultores.ventaboletos.enums.TipoPessoa;

@Entity
@SequenceGenerator(name = "CLIENTE_PACOTE_SEQ", sequenceName = "CLIENTE_PACOTE_SEQ", allocationSize = 1)
@Table(name = "CLIENTE_PACOTE")
public class ClientePacote implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@Id
	@Column(name = "CLIENTEPACOTE_ID")
	private Long clientepacoteId;
	
	@Column(name = "RAZAO_SOCIAL")
	private String razaoSocial;
	
	@Column(name = "CPF_CNPJ")
	private String cpfCnpj;  

	@Column(name = "TIPO_PESSOA")
	@Enumerated(EnumType.ORDINAL)
	private TipoPessoa tipoPessoa;  

	@Column(name = "DESCEMAIL")
	private String descemail;  

	@Column(name = "DESCTELEFONE")
	private String desctelefone;  

	@Column(name = "DESCFAX")
	private String descfax;  

	@Column(name = "CEP")
	private String cep;   

	@Column(name = "ENDERECO")
	private String endereco; 

	@Column(name = "NUMERO")
	private String numero;  

	@Column(name = "COMPLEMENTO")
	private String complemento;  

	@Column(name = "PAIS")
	private String pais;  

	@Column(name = "ESTADO")
	private String estado;  

	@Column(name = "CIDADE")
	private String cidade;  

	@Column(name = "BAIRRO")
	private String bairro;

	public Long getClientepacoteId() {
		return clientepacoteId;
	}

	public void setClientepacoteId(Long clientepacoteId) {
		this.clientepacoteId = clientepacoteId;
	}

	public String getRazaoSocial() {
		return razaoSocial;
	}

	public void setRazaoSocial(String razaoSocial) {
		this.razaoSocial = razaoSocial;
	}

	public String getDescemail() {
		return descemail;
	}

	public void setDescemail(String descemail) {
		this.descemail = descemail;
	}

	public String getDesctelefone() {
		return desctelefone;
	}

	public void setDesctelefone(String desctelefone) {
		this.desctelefone = desctelefone;
	}

	public String getDescfax() {
		return descfax;
	}

	public void setDescfax(String descfax) {
		this.descfax = descfax;
	}

	public String getCep() {
		return cep;
	}

	public void setCep(String cep) {
		this.cep = cep;
	}

	public String getEndereco() {
		return endereco;
	}

	public void setEndereco(String endereco) {
		this.endereco = endereco;
	}

	public String getNumero() {
		return numero;
	}

	public void setNumero(String numero) {
		this.numero = numero;
	}

	public String getComplemento() {
		return complemento;
	}

	public void setComplemento(String complemento) {
		this.complemento = complemento;
	}

	public String getPais() {
		return pais;
	}

	public void setPais(String pais) {
		this.pais = pais;
	}

	public String getEstado() {
		return estado;
	}

	public void setEstado(String estado) {
		this.estado = estado;
	}

	public String getCidade() {
		return cidade;
	}

	public void setCidade(String cidade) {
		this.cidade = cidade;
	}

	public String getBairro() {
		return bairro;
	}

	public void setBairro(String bairro) {
		this.bairro = bairro;
	}

	public String getCpfCnpj() {
		return cpfCnpj;
	}

	public void setCpfCnpj(String cpfCnpj) {
		this.cpfCnpj = cpfCnpj;
	}

	public TipoPessoa getTipoPessoa() {
		return tipoPessoa;
	}

	public void setTipoPessoa(TipoPessoa tipoPessoa) {
		this.tipoPessoa = tipoPessoa;
	}

}
